<div class="container" *ngIf="!isDetail">
    <div>
        <p-accordion>
            <p-accordionTab header="Filter" [selected]="false">
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_PIC">PIC</label>
                            <p-dropdown [options]="pics" [(ngModel)]="selectedPIC" id="field_PIC"
                                [style]="{'width':'100px'}">
                            </p-dropdown>
                        </div>
                        <div class=" form-group">
                            <label class="form-control-label" for="field_Tipe">Type PP</label>
                            <p-dropdown [options]="ppTypes" [(ngModel)]="selectedPPtype" id="field_Tipe"
                                [style]="{'width':'100px'}">
                            </p-dropdown>
                        </div>
                        <div class="form-group">
                            <button pButton type="submit" label="Filter" icon="fa-filter"
                                class="ui-button-primary flat-label-button" (click)="filter()">
                            </button>
                            <button pButton label="Reset Filter" icon="fa-refresh"
                                class="ui-button-primary flat-label-button" (click)="reset()">
                            </button>
                        </div>
                    </div>
                </div>
            </p-accordionTab>
        </p-accordion>
    </div>
    <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="Cari Nomor Register">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </div>
    </div>
    <div class="modal-body">
        <p-dataTable [value]="registerPP" [editable]="false" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5"
            [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true" [lazy]="true"
            dataKey="idPurchaseOrder" (onLazyLoad)="loadDataLazy($event)">
            <p-header>

            </p-header>
            <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{rowIndex + 1}}
                </ng-template>
            </p-column>
            <p-column header="Nomor Register" [style]="{'width': '300px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.noregis}}
                </ng-template>
            </p-column>
            <p-column header="Tanggal Register" [style]="{'width': '300px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.dtcreate | date:'dd-MM-yyyy HH:mm:ss'}}
                </ng-template>
            </p-column>
            <p-column header="Register Oleh" [style]="{'width': '300px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.createdby}}
                </ng-template>
            </p-column>
            <p-column header="Tipe" [style]="{'width': '300px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.tipepp}}
                </ng-template>
            </p-column>
            <p-column header="PIC" [style]="{'width': '300px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.pic}}
                </ng-template>
            </p-column>
            <p-column header="Aksi" [style]="{'width': '100px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div class="ui-g-3">
                        <!-- <button pButton type="button" [routerLink]="['../register-pp-detail/' + rowData.idregister]"
                            icon="fa-eye" class="flat-button" pTooltip="Lihat PP"
                            *jhiHasAnyAuthority="['ROLE_MGR_PRC','ROLE_USER']">
                        </button> -->
                        <button pButton type="button" (click)=toDetail(rowData.idregister,rowData.tipepp) icon="fa-eye"
                            class="flat-button" pTooltip="Lihat PP" *jhiHasAnyAuthority="['ROLE_MGR_PRC','ROLE_USER']">
                        </button>
                        <button pButton type="button" icon="fa-print" class="flat-button" (click)="print(rowData)"
                            pTooltip="Print RegisterPP"
                            *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_MGR_PRC', 'ROLE_USER']">
                        </button>
                    </div>
                </ng-template>
            </p-column>
        </p-dataTable>
    </div>
</div>
<div *ngIf="isDetail">
    <!-- <div class="ui-g-12" style="margin-bottom: 10px;">
        <button pButton (click)="back()" label="Kembali List Register"  class="ui-button-primary flat-label-button" icon="fa fa-arrow-left">
        </button>
    </div> -->
    <jhi-register-pp-detail [idDetail]="idDetail" [tipe]="tipe" (fnCallback)=back()></jhi-register-pp-detail>
</div>
<!-- <p-confirmDialog></p-confirmDialog> -->